local ADDON_NAME, ADDON = ...

if (GetLocale() == 'zhCN') then
    local L = ADDON.L or {}

    L["Black Market"] = "黑市"
    L["Family"] = "系列"
    L["FAVOR_DISPLAYED"] = "全部显示"
    L["FAVOR_PER_CHARACTER"] = "每个角色"
    L["Flying"] = "飞行"
    L["Ground"] = "陆行"
    L["Hidden"] = "隐藏"
    L["Only usable"] = "仅可用"
    L["Passenger"] = "载客"
    L["Reset filters"] = "重置过滤"
    L["Show in Collections"] = "收集中显示"
    L["TASK_END"] = "[MJE] 唷！完成了。"
    L["TASK_FAVOR_START"] = "[MJE] 在你的坐骑上重新标星收藏。请等待一会儿直到完成。"
    L["Transform"] = "变形"
    L["Underwater"] = "水中"
    L["Water Walking"] = "水面"

    -- Families
    L["Airships"] = "飞艇"
    L["Arachnids"] = "蛛形类"
    L["Basilisks"] = "蜥蜴"
    L["Bats"] = "蝙蝠"
    L["Bears"] = "熊"
    L["Birds"] = "鸟类"
    L["Blood Ticks"] = "血蛛"
    L["Boars"] = "野猪"
    L["Bovids"] = "牛科"
    L["Brutosaurs"] = "商队雷龙"
    L["Camels"] = "骆驼"
    L["Carnivorans"] = "食肉类"
    L["Carpets"] = "飞毯"
    L["Cats"] = "猫科"
    L["Chargers"] = "战马"
    L["Chickens"] = "小鸡"
    L["Clefthooves"] = "裂蹄牛"
    L["Cloud Serpents"] = "翔龙"
    L["Core Hounds"] = "熔核猎犬"
    L["Cranes"] = "仙鹤"
    L["Crawgs"] = "抱齿"
    L["Crows"] = "乌鸦"
    L["Demonic Hounds"] = "恶魔犬"
    L["Demonic Steeds"] = "恶魔马"
    L["Demons"] = "恶魔"
    L["Dinosaurs"] = "恐龙"
    L["Dire Wolves"] = "恐狼"
    L["Direhorns"] = "恐角龙"
    L["Discs"] = "飞碟"
    L["Dragonhawks"] = "龙鹰"
    L["Drakes"] = "龙类"
    L["Dread Ravens"] = "恐鸦"
    L["Elekks"] = "雷象"
    L["Elementals"] = "元素"
    L["Falcosaurs"] = "猎龙"
    L["Feathermanes"] = "羽鬃类"
    L["Felsabers"] = "邪刃豹"
    L["Fish"] = "鱼类"
    L["Flying Steeds"] = "天马"
    L["Foxes"] = "狐"
    L["Goats"] = "山羊"
    L["Grand Drakes"] = "大型龙"
    L["Gronnlings"] = "小戈隆"
    L["Gryphons"] = "狮鹫"
    L["Gyrocopters"] = "旋翼"
    L["Hawkstriders"] = "陆行鸟"
    L["Hippogryphs"] = "角鹰"
    L["Horned Steeds"] = "角马"
    L["Horses"] = "马科"
    L["Hounds"] = "犬"
    L["Humanoids"] = "类人"
    L["Hyenas"] = "狼"
    L["Infernals"] = "地狱火"
    L["Insects"] = "昆虫"
    L["Jellyfish"] = "水母"
    L["Kites"] = "风筝"
    L["Kodos"] = "科多兽"
    L["Krolusks"] = "三叶虫"
    L["Lions"] = "狮"
    L["Mammoths"] = "猛犸象"
    L["Mana Rays"] = "法力鳐"
    L["Manasabers"] = "魔刃豹"
    L["Mechanical Steeds"] = "机械马"
    L["Mechanostriders"] = "机械陆行鸟"
    L["Mecha-suits"] = "机甲"
    L["Moose"] = "驼鹿"
    L["Motorcycles"] = "摩托车"
    L["Mountain Horses"] = "山地马"
    L["Mushan"] = "穆山兽"
    L["Nether Drakes"] = "灵翼幼龙"
    L["Nether Rays"] = "虚空鳐"
    L["Others"] = "其他"
    L["Pandaren Phoenixes"] = "熊猫人凤凰"
    L["Parrots"] = "鹦鹉"
    L["Phoenixes"] = "凤凰"
    L["Proto-Drakes"] = "始祖幼龙"
    L["Pterrordaxes"] = "啸天龙"
    L["Quilen"] = "魁麟"
    L["Rams"] = "公羊"
    L["Raptors"] = "迅猛龙"
    L["Rats"] = "鼠类"
    L["Ravagers"] = "掠夺者"
    L["Rays"] = "镭射"
    L["Reptiles"] = "爬虫"
    L["Rhinos"] = "犀牛"
    L["Riverbeasts"] = "淡水兽"
    L["Rockets"] = "火箭"
    L["Ruinstriders"] = "游荡者"
    L["Rylaks"] = "魔龙"
    L["Sabers"] = "X刃豹"
    L["Scorpions"] = "蝎子"
    L["Sea Serpents"] = "海蛇"
    L["Seahorses"] = "海马"
    L["Silithids"] = "异种蝎"
    L["Spiders"] = "蜘蛛"
    L["Steeds"] = "马"
    L["Stingrays"] = "鳐鱼"
    L["Stone Cats"] = "石猎豹"
    L["Stone Drakes"] = "石幼龙"
    L["Talbuks"] = "塔布羊"
    L["Tallstriders"] = "蛇鸟"
    L["Talonbirds"] = "鸦神"
    L["Tigers"] = "虎"
    L["Turtles"] = "龟"
    L["Undead Drakes"] = "不死幼龙"
    L["Undead Steeds"] = "不死战马"
    L["Undead Wolves"] = "不死战狼"
    L["Ungulates"] = "有蹄类"
    L["Ur'zul"] = "乌祖尔"
    L["Vehicles"] = "载具"
    L["War Wolves"] = "战狼"
    L["Water Striders"] = "水黾"
    L["Wind Drakes"] = "风幼龙"
    L["Wolfhawks"] = "狼鹰"
    L["Wolves"] = "狼科"
    L["Wyverns"] = "双足飞龙"
    L["Yaks"] = "牦牛"
    L["Yetis"] = "雪人"

    -- Settings
    L["SETTING_COMPACT_LIST"] = "紧凑坐骑列表"
    L["SETTING_CURSOR_KEYS"] = "允许上下键浏览坐骑"
    L["SETTING_FAVORITE_PER_CHAR"] = "收藏坐骑每个角色"
    L["SETTING_SHOP_BUTTON"] = "坐骑店铺上显示未购买按钮"
    L["SETTING_YCAMERA"] = "解锁鼠标纵轴旋转显示"

    ADDON.L = L
end
